\documentclass{beamer}   % NOTE! Not "article"
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\usetheme{Warsaw}  % determines the colors, etc.
\title{The Discovery of the Aether}
\subtitle{Evidence from India}
\author{F.~Author\inst{1} \and S.~Anders\inst{2}}
\institute{
  \inst{1}%
  Institute of Computer Science\\
  University Here
  \and
  \inst{2}%
  Institute of Theoretical Philosophy\\
  University There
}
\date{Conference on Presentation Techniques, 2004}

\begin{document}
\begin{frame}
\frametitle{Table of Contents}
\tableofcontents[currentsection]
\end{frame}

\begin{frame}
  \frametitle{Major points}

\begin{itemize}
\item First point
\pause
\item Second point
\pause
\item Third point
\end{itemize}
\end{frame}
\end{document}     
